Bug 675649 - Review Request: perl-Log-Any-Adapter-Dispatch - Log::Any::Adapter::Dispatch Perl module
Summary: Review Request: perl-Log-Any-Adapter-Dispatch - Log::Any::Adapter::Dispatch P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 675646
Blocks: 688035
TreeView+ depends on / blocked
 
Reported: 2011-02-07 07:14 UTC by Ralf Corsepius
Modified: 2014-02-17 19:43 UTC (History)
3 users (show)

Fixed In Version: perl-Log-Any-Adapter-Dispatch-0.06-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-02 05:59:45 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-02-07 07:14:00 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Log-Any-Adapter-Dispatch.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Log-Any-Adapter-Dispatch-
0.06-1.fc15.src.rpm

Description:
This Log::Any adapter uses Log::Dispatch for logging.

Comment 1 Iain Arnell 2011-03-18 07:13:07 UTC
A nice clean package. APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2922810

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
a0554ce0b2b475a44654ee7462d16230ccd949e2  Log-Any-Adapter-Dispatch-0.06.tar.gz
a0554ce0b2b475a44654ee7462d16230ccd949e2  Log-Any-Adapter-Dispatch-0.06.tar.gz.srpm

Final provides / requires are sane:

======> perl-Log-Any-Adapter-Dispatch-0.06-1.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Log::Any::Adapter::Dispatch) = 0.06
perl-Log-Any-Adapter-Dispatch = 0.06-1.fc16
====> requires
perl(base)  
perl(Log::Any::Adapter::Base)  
perl(Log::Any::Adapter::Util)  
perl(Log::Dispatch)  
perl(Log::Dispatch) >= 2.26
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Log-Any-Adapter-Dispatch-0.06-1.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Log::Any::Adapter)  
perl(Log::Dispatch) >= 2.26
perl(Test::More)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Log-Any-Adapter-Dispatch-0.06-1.fc16.noarch.rpm
INFO: 
================================================================================
 Package                       Arch   Version           Repository         Size
================================================================================
Installing:
 perl-Log-Any-Adapter-Dispatch noarch 0.06-1.fc16       /perl-Log-Any-Adapter-Dispatch-0.06-1.fc16.noarch
                                                                          5.1 k
Installing for dependencies:
 perl-CPAN                     noarch 1.9402-156.fc16   fedora            246 k
 perl-Digest-SHA               x86_64 1:5.47-156.fc16   fedora             63 k
 perl-Email-Date-Format        noarch 1.002-9.fc15      fedora             16 k
 perl-ExtUtils-MakeMaker       noarch 6.56-156.fc16     fedora            289 k
 perl-ExtUtils-ParseXS         noarch 1:2.2206-156.fc16 fedora             44 k
 perl-IO-Socket-SSL            noarch 1.39-1.fc16       fedora             71 k
 perl-Log-Any                  noarch 0.11-3.fc15       fedora             25 k
 perl-Log-Any-Adapter          noarch 0.03-1.fc16       fedora             20 k
 perl-Log-Dispatch             noarch 2.27-2.fc15       fedora             71 k
 perl-MIME-Lite                noarch 3.027-6.fc15      fedora             88 k
 perl-MIME-Types               noarch 1.31-1.fc16       fedora             34 k
 perl-Mail-Sender              noarch 0.8.16-7.fc15     fedora             54 k
 perl-Mail-Sendmail            noarch 0.79-16.fc15      fedora             28 k
 perl-MailTools                noarch 2.07-2.fc15       fedora            102 k
 perl-Net-LibIDN               x86_64 0.12-6.fc15       fedora             33 k
 perl-Net-SMTP-SSL             noarch 1.01-7.fc15       fedora            8.3 k
 perl-Net-SSLeay               x86_64 1.36-4.fc15       fedora            173 k
 perl-Params-Validate          x86_64 0.95-4.fc15       fedora             76 k
 perl-Scope-Guard              noarch 0.20-3.fc15       fedora             11 k
 perl-Test-Harness             noarch 3.17-156.fc16     fedora            239 k
 perl-Test-Simple              noarch 0.98-1.fc16       fedora            117 k
 perl-TimeDate                 noarch 1:1.20-4.fc15     fedora             42 k
 perl-devel                    x86_64 4:5.12.3-156.fc16 fedora            448 k
 python                        x86_64 2.7.1-6.fc15      fedora             73 k
 systemtap-sdt-devel           x86_64 1.4-5.fc16        fedora             41 k

Transaction Summary
================================================================================
Install      26 Package(s)

Total size: 2.4 M
Total download size: 54 k
Installed size: 6.0 M

Installed:
  perl-Log-Any-Adapter-Dispatch.noarch 0:0.06-1.fc16                            

Dependency Installed:
  perl-CPAN.noarch 0:1.9402-156.fc16                                            
  perl-Digest-SHA.x86_64 1:5.47-156.fc16                                        
  perl-Email-Date-Format.noarch 0:1.002-9.fc15                                  
  perl-ExtUtils-MakeMaker.noarch 0:6.56-156.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-156.fc16                                
  perl-IO-Socket-SSL.noarch 0:1.39-1.fc16                                       
  perl-Log-Any.noarch 0:0.11-3.fc15                                             
  perl-Log-Any-Adapter.noarch 0:0.03-1.fc16                                     
  perl-Log-Dispatch.noarch 0:2.27-2.fc15                                        
  perl-MIME-Lite.noarch 0:3.027-6.fc15                                          
  perl-MIME-Types.noarch 0:1.31-1.fc16                                          
  perl-Mail-Sender.noarch 0:0.8.16-7.fc15                                       
  perl-Mail-Sendmail.noarch 0:0.79-16.fc15                                      
  perl-MailTools.noarch 0:2.07-2.fc15                                           
  perl-Net-LibIDN.x86_64 0:0.12-6.fc15                                          
  perl-Net-SMTP-SSL.noarch 0:1.01-7.fc15                                        
  perl-Net-SSLeay.x86_64 0:1.36-4.fc15                                          
  perl-Params-Validate.x86_64 0:0.95-4.fc15                                     
  perl-Scope-Guard.noarch 0:0.20-3.fc15                                         
  perl-Test-Harness.noarch 0:3.17-156.fc16                                      
  perl-Test-Simple.noarch 0:0.98-1.fc16                                         
  perl-TimeDate.noarch 1:1.20-4.fc15                                            
  perl-devel.x86_64 4:5.12.3-156.fc16                                           
  python.x86_64 0:2.7.1-6.fc15                                                  
  systemtap-sdt-devel.x86_64 0:1.4-5.fc16                                       


State Changed: unlock buildroot

Comment 2 Ralf Corsepius 2011-03-26 05:30:04 UTC
Thanks for the review, Iain.

Sorry for the delay, seems as if I somehow missed this review was completed :(


New Package SCM Request
=======================
Package Name: perl-Log-Any-Adapter-Dispatch
Short Description: Log::Any::Adapter::Dispatch Perl module
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2011-03-27 19:41:30 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-03-28 05:24:35 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-Dispatch-0.06-1.fc14

Comment 5 Fedora Update System 2011-03-28 05:24:42 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-Dispatch-0.06-1.fc15

Comment 6 Fedora Update System 2011-03-28 05:24:50 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-Dispatch-0.06-1.fc13

Comment 7 Fedora Update System 2011-03-28 19:21:30 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc13 has been pushed to the Fedora 13 testing repository.

Comment 8 Fedora Update System 2011-04-02 05:59:40 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 9 Fedora Update System 2011-04-06 22:34:28 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 10 Fedora Update System 2011-04-06 22:37:06 UTC
perl-Log-Any-Adapter-Dispatch-0.06-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Paul Howarth 2014-02-17 19:33:29 UTC
Package Change Request
======================
Package Name: perl-Log-Any-Adapter-Dispatch
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

Ralf doesn't do epel packages.

Comment 12 Gwyn Ciesla 2014-02-17 19:43:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.